GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | List of all members
gridfire::utils::TableBase Class Referenceabstract

`#include <table_format.h>`

Inheritance diagram for gridfire::utils::TableBase:
[legend]

## Public Member Functions
virtual | ~TableBase ()=default
virtual size_t | ncols () const =0
virtual size_t | nrows () const =0
virtual const ColumnBase & | operator[] (size_t i) const =0
virtual const std::vector< std::unique_ptr< ColumnBase > > | getColumns () const
virtual std::string | getName () const =0
virtual void | toCSV (const std::string &filename) const =0

## Constructor & Destructor Documentation

## ◆ ~TableBase()

virtual gridfire::utils::TableBase::~TableBase | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getColumns()

virtual const std::vector< std::unique_ptr< ColumnBase > > gridfire::utils::TableBase::getColumns | ( |  | ) | const
| virtual

Reimplemented in gridfire::utils::Table< T >.

## ◆ getName()

virtual std::string gridfire::utils::TableBase::getName | ( |  | ) | const
| pure virtual

Implemented in gridfire::utils::Table< T >.

## ◆ ncols()

virtual size_t gridfire::utils::TableBase::ncols | ( |  | ) | const
| pure virtual

Implemented in gridfire::utils::Table< T >.

## ◆ nrows()

virtual size_t gridfire::utils::TableBase::nrows | ( |  | ) | const
| pure virtual

Implemented in gridfire::utils::Table< T >.

## ◆ operator[]()

virtual const ColumnBase & gridfire::utils::TableBase::operator[] | ( | size_t | i | ) | const
| pure virtual

Implemented in gridfire::utils::Table< T >.

## ◆ toCSV()

virtual void gridfire::utils::TableBase::toCSV | ( | const std::string & | filename | ) | const
| pure virtual

Implemented in gridfire::utils::Table< T >.

The documentation for this class was generated from the following file:

- src/include/gridfire/utils/table_format.h